Bug 126822 - AssertionError in GroovyParser.sanitizeSource
AssertionError in GroovyParser.sanitizeSource
Status: VERIFIED FIXED
Product: groovy
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: martin_adamek
issues@groovy
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 11:45 UTC by schmidtm
Modified: 2008-10-30 14:25 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description schmidtm 2008-02-06 11:45:08 UTC
Steps to reproduce:

1.) Create brand new Groovy Script

2.) Paste this code-snipped on the end (or just replace everything with it):

7.each {
class One {
    def aMethod() {
    }
}

you'll instantly get:

Annotation: An error occurred during parsing of
'C:\prj\GroovyApplication1\src\groovyapplication1\newGroovyScript5.groovy'. Please report a bug against ruby and attach
dump file 'C:\Documents and Settings\schmidtm\.netbeans\dev\var\log\newGroovyScript5_24.dump'.
Annotation: An error occurred during parsing of
'C:\prj\GroovyApplication1\src\groovyapplication1\newGroovyScript5.groovy'. Please report a bug against ruby and attach
dump file 'C:\Documents and Settings\schmidtm\.netbeans\dev\var\log\newGroovyScript5_24.dump'.
An error occurred during parsing of 'C:\prj\GroovyApplication1\src\groovyapplication1\newGroovyScript5.groovy'. Please
report a bug against ruby and attach dump file 'C:\Documents and
Settings\schmidtm\.netbeans\dev\var\log\newGroovyScript5_24.dump'.
An error occurred during parsing of 'C:\prj\GroovyApplication1\src\groovyapplication1\newGroovyScript5.groovy'. Please
report a bug against ruby and attach dump file 'C:\Documents and
Settings\schmidtm\.netbeans\dev\var\log\newGroovyScript5_24.dump'.
Caused: java.lang.AssertionError
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.sanitizeSource(GroovyParser.java:227)
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.parseBuffer(GroovyParser.java:478)
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.sanitize(GroovyParser.java:360)
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.parseBuffer(GroovyParser.java:486)
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.sanitize(GroovyParser.java:352)
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.parseBuffer(GroovyParser.java:486)
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.sanitize(GroovyParser.java:344)
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.parseBuffer(GroovyParser.java:486)
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.sanitize(GroovyParser.java:334)
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.parseBuffer(GroovyParser.java:569)
	at org.netbeans.modules.groovy.editor.parser.GroovyParser.parseFiles(GroovyParser.java:117)
	at org.netbeans.napi.gsfret.source.Source.moveToPhase(Source.java:880)
	at org.netbeans.napi.gsfret.source.Source$CompilationJob.run(Source.java:1192)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:417)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
	at java.util.concurrent.FutureTask.run(FutureTask.java:123)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:650)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:675)
[catch] at java.lang.Thread.run(Thread.java:595)
Comment 1 martin_adamek 2008-02-15 23:19:55 UTC
Fixed.
http://hg.netbeans.org/main/contrib/rev/6e96d862019f
Comment 2 Quality Engineering 2008-05-20 05:14:02 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #206 build
Changeset: http://hg.netbeans.org/main/rev/6b9af39dddb0
User: Martin Adamek <martin_adamek@netbeans.org>
Log: #126822: AssertionError in GroovyParser.sanitizeSource
Comment 3 Lukas Jungmann 2008-09-29 12:18:53 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo